
package tmiranda.csm;

import sagex.api.*;

/**
 *
 * @author Tom Miranda.
 */
public class Playlist {

    public static boolean hasPlaylist(Object SageMediaFile) {

        if (SageMediaFile == null) {
            return false;
        }

        int mediaFileID = AiringAPI.GetAiringID(SageMediaFile);

        Object[] playlists = PlaylistAPI.GetPlaylists();

        for (Object playlist : playlists) {

            Object[] items = PlaylistAPI.GetPlaylistItems(playlist); 

            for (Object item : items) {

                int ID = 0;

                if (MediaFileAPI.IsMediaFileObject(item)) {
                    ID = MediaFileAPI.GetMediaFileID(item);
                } else if (AiringAPI.IsAiringObject(item)) {
                    Object MF = AiringAPI.GetMediaFileForAiring(item);

if (MF==null) {
    System.out.println("NULL MF");
}

                    ID = MediaFileAPI.GetMediaFileID(MF);
                }

                if (ID == mediaFileID)
                    return true;
            }
        }

        return false;
    }
}
